﻿using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "FastLine 클래스 : LinePen 속성을 사용해 라인 스타일/두께 설정하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            for(int i = 0; i < 4; i++)
            {
                FastLine fastLine = new FastLine(this.tChart.Chart);

                fastLine.LinePen.Style = DashStyle.Dot;
                fastLine.LinePen.Width = 3;

                fastLine.FillSampleValues();
            }
        }

        #endregion
    }
}